#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kapptemplate
Summary:        Template for KDE Application Development
Epoch:          1
Version: 17.12.2
Group:          Graphical desktop/KDE
Release:        %mkrel %{rel}
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://www.kde.org/applications/development/kapptemplate/
Source:         http://download.kde.org/stable/%version/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros
BuildRequires:  kcoreaddons-devel 
BuildRequires:  kconfigwidgets-devel 
BuildRequires:  kcompletion-devel 
BuildRequires:  karchive-devel 
BuildRequires:  kio-devel 
BuildRequires:  ki18n-devel
BuildRequires:  kdoctools-devel

BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

%description
KAppTemplate is a set of modular shell scripts that will create a
framework for any number of KDE application types. At its base
level, it handles creation of things like the automake/autoconf
framework, lsm files, RPM spec files, and po files. Then, there
are individual modules that allow you to create a skeleton KDE
application, a KPart application, a KPart plugin, or even convert
existing source code to the KDE framework.

%files -f %name.lang
%_kf5_bindir/kapptemplate
%_kf5_appdatadir/org.kde.kapptemplate.appdata.xml
%_kf5_applicationsdir/org.kde.kapptemplate.desktop
%_kf5_datadir/config.kcfg/kapptemplate.kcfg
%_iconsdir/hicolor/*/*/*
%_kf5_datadir/kdevappwizard

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang %name --with-html


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 1:17.12.2-1.mga6
+ Revision: 1202227
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090024
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076759
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1071972
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067290
- New version 16.08.3

* Tue Oct 18 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061832
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050616
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047244
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040011
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012501
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004291
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 994824
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991141
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987409
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922579
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 1:15.12.0-1.mga6
+ Revision: 911913
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 905371
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 1:15.08.3-1.mga6
+ Revision: 901107
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 1:15.08.2-1.mga6
+ Revision: 890582
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 1:15.08.1-1.mga6
+ Revision: 880400
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 1:15.08.0-1.mga6
+ Revision: 865918
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 1:15.07.90-2.mga6
+ Revision: 863699
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 1:15.07.90-1.mga6
+ Revision: 861731
- New version 15.07.90

* Thu Jul 30 2015 neoclust <neoclust> 1:15.07.80-1.mga6
+ Revision: 859223
- New version 15.07.80

* Tue Jul 21 2015 neoclust <neoclust> 1:15.04.3-1.mga6
+ Revision: 855992
- New version 15.04.3

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800555
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787641
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 750055
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734503
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 680929
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667441
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 662952
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656630
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653816
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 651921
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636690
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625457
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615530
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609350
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606791
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Thu Mar 13 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603290
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600638
- New version 4.12.80
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590423
- New version 4.12.2

* Tue Feb 11 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 589265
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 554950
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551208
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540393
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490824
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476905
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465245
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458864
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455254
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448019
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package kapptemplate

